TNOTE(1)

Name
    Tnote - Notes for the terminal

Synopsis
tnote [ options ] [ args ]

Description
Tnote is a terminal alternative to GUI sticky note applications

Start options
Option Argument

-a --add Opt note
    Add a note, the note can be written on the command line and will be automatically added. Alternatively if no text is added your default text editor will be opened for adding text there. The default text editor is defined in '~/.tnote/tnoterc'.

-b --brief opt index
    Display a brief numbered list of the first line of all notes.

-d --delete index
    Delete specified entry

-m --modify index
    Modify specified entry by index, opens in default text editor

Sorting & search options
The following can be combined with the above options to narrow down a search, --search allows you to search the contents of a note, --group allows you to group notes by an arbitrary keyword, --importance will allow you to assign an importance of between 1 to 4 to a note, notes by default are sorted by importance first (1 to 4) then by date created. When combined with the --add flag, --importance and --group assign a note to that particular importance or group, --search can't be combined with --add.

-s --search expr
    Search for text in all notes, returns all notes that contain that text

-i --importance 1-4
    Importance of a note, notes will be ordered by importance first in ascending order, each importance is assigned a colour, notes with an importance of 1 will be highlighted in red, 2 - yellow, 3 - green 4 - default text colour

-g --group group
    Group of a note by any arbitrary word.

Miscellaneous options

--nocol
    Print out without colour, or colour formatting codes.

--version
    Prints version information & exits

-h --help
    Prints help page & exits

Argument options
All options above with an index or opt index argument can specify a range of notes:-

    1 would specify note 1.

    : would specify all notes.

    5: would specify notes 5 and onwards.

    :5 would specify notes 0 to 5.

    2:7 would specify notes 2 to 7.

A range of notes separated by commas can also be used eg 1,3,5 minus numbers can also be used so -1 is the last note, -2 is the 2nd to last note etc.

Options with the note or opt note argument requires one specific note number. Options with the expr argument accept regular expression for finding entries. A few of the basic options are:

    ? matches any one letter

    * matches any number of any letters

    ^ matches the start of a string

    $ matches the end of a string

    \ matches word boundary

Insert the current date
The date can be inserted in to notes, either when adding, or modifying a note by adding :D where you would like the date inserted, which will then be replaced by the current date when the note is saved, the date format can be modified in the ~/.tnote/tnoterc file, see the date(1) man page for formatting options.

Issues
When entering a note directly from the command line, be aware that bash, or your chosen shell will intercept it, eg inputting "my shell is $SHELL" will result in a note containing "my shell is bash". this can of course have its advantages, the simplest work around is to enclose the note in single quotes ' ', but if you are at all unsure leave the command line blank and add the note through your text editor.

Bugs
Hopefully none, but probably lots, email me.

Author
Ben Holroyd 2009 <holroyd.ben@gmail.com>